# Home Maintenance Schedule

This repository contains the home maintenance schedule for a condo located in Toronto. The schedule is designed to ensure regular upkeep and preventive maintenance of various systems and appliances within the home.

## Overview

The maintenance schedule is implemented using an iCalendar (.ics) file, which can be imported into any calendar application that supports the iCalendar format (e.g., Google Calendar, Apple Calendar). This ensures timely reminders and helps in maintaining the condo efficiently.

## Repository Structure

- **home_maintenance.ics**: The iCalendar file containing all maintenance tasks with their respective schedules.
- **README.md**: This file, providing an overview and instructions for setting up and using the maintenance schedule.

## Maintenance Tasks

The following maintenance tasks are included in the schedule:

### Monthly

1. **Test Smoke and Carbon Monoxide Detectors**
   - Ensure they are functioning properly and replace batteries if needed.

2. **Inspect Faucets and Drains**
   - Check for leaks and ensure water drains properly.

3. **Clean Dishwasher with Citric Acid**
   - Add citric acid powder to the dishwasher to prevent buildup.

4. **Clean Washing Machine with Citric Acid**
   - Add citric acid powder to the washing machine to prevent buildup.

### Quarterly

1. **Check HVAC Filters**
   - Inspect the HVAC system and replace or clean filters if necessary.

2. **Inspect Grout and Caulking**
   - Check for any cracks or gaps in the bathroom and kitchen and reapply as needed.

### Biannually

1. **Replace Air Filters**
   - Replace air filters to ensure good air quality.

2. **Vacuum Dryer Vent**
   - Ensure the dryer vent is free from lint and obstructions.

3. **Clean Refrigerator and Water Cooler Coils**
   - Vacuum or brush the coils to maintain energy efficiency.

4. **Check Weatherstripping**
   - Inspect doors and windows for drafts and replace weatherstripping if needed.

5. **Replace Roomba Parts**
   - Replace parts and clean brushes and bushings.

### Annually

1. **Service HVAC System**
   - Schedule a professional inspection and maintenance.

2. **Inspect Electrical System**
   - Use appropriate devices to check the electrical system.

3. **Inspect Fire Extinguishers**
   - Ensure they are fully charged and in good condition.

### Seasonal

#### Spring

1. **Clean Windows**
   - Wash all windows inside and out.

2. **Inspect Exterior**
   - Check for any damage from winter weather.

#### Summer

1. **Inspect Balcony**
   - Check for cracks or damage on the concrete balcony.

#### Fall

1. **Inspect Heating System**
   - Ensure the heating system is ready for the winter months.

#### Winter

1. **Monitor Humidity Levels**
   - Use humidifiers as needed to maintain indoor air quality.

## Usage

1. **Clone the Repository**

   ```bash
   git clone https://git.nixc.us/colin/home-maintenance.git
   cd home-maintenance
   ```

2. **Import the iCalendar File**

   - Import the `home_maintenance.ics` file into your preferred calendar application:
     - **Google Calendar**: Go to `Settings` > `Import & export` > `Import`.
     - **Apple Calendar**: Open Calendar, go to `File` > `Import`.
     - **Outlook**: Go to `File` > `Open & Export` > `Import/Export`.

3. **Set Reminders**

   - Ensure each event has the appropriate reminder settings according to your preferences.
